EDIT - bug #7867

FieldGroup$BindException: The given field is not part of this FieldBinder in TeamOrPersonField
10/25/2018 06:00 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

[reported by henning]

Testsystem:
http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/537f9b7b-42d4-4b40-949b-1b6f2adc3296
Name mit validated Name,

Bei der neuen Reference des Validated names knallte es bei der Auswahl des Autors

Ich hatte Abas berolinensis A.Braun eingegeben,

dann als validated name noch mal Abas berolinensis neu eingegeben (der ist ja vor speichern nicht in der Auswabhl).

Ich glaube dann eine neue Referenz angelegt zu haben und bin in die Auswahl der Autoren gegangen und habe einen vorhandenen
ausgewahlt.

Habe das mit Abas cerolinensis noch mal probiert und alles lief fehlerfrei.

org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.java:215
)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3. run (QueuedThreadPool. java:555)

at java.lang.Thread.run(Thread. java:748)
Caused by: com.vaadin.event.ListenerMethod$MethodException: Invocation of method valueChange in eu
.etaxonomy.cdm.vaadin.event.ToOneRelatedEntityReloader failed.

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:533)

at com.vaadin.event.EventRouter.fireEvent (EventRouter. java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter. java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector. java
:1015)

at com.vaadin.ui.AbstractField.fireValueChange (AbstractField.java:1161)

at com.vaadin.ui.AbstractField.setValue (AbstractField.java:571)

at eu.etaxonomy.cdm.vaadin.component.common.TeamOrPersonField.lambda$initContent$ée
cb4440$1 (TeamOrPersonField. java:120)

at sun.reflect.GeneratedMethodAccessorl653.1invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. jav
a:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

88 more

Caused by: com.vaadin.data.fieldgroup.FieldGroup$BindException: The given field is not part of thi
s FieldBinder

at com.vaadin.data.fieldgroup.FieldGroup.unbind(FieldGroup. java:369)

at com.vaadin.data.fieldgroup.BeanFieldGroup.unbind (BeanFieldGroup.java:167)

at eu.etaxonomy.vaadin.component.SwitchableTextField.unbindFrom(SwitchableTextField
.java:102)

at eu.etaxonomy.cdm.vaadin.component.common.TeamOrPersonField.setInternalValue (Team
OrPersonField. java:222)

at eu.etaxonomy.cdm.vaadin.component.common.TeamOrPersonField.setInternalValue (Team
OrPersonField. java:55)
at com.vaadin.ui.AbstractField.setValue (AbstractField. java:526)

at eu.etaxonomy.cdm.vaadin.component.common.TeamOrPersonField.setValue (TeamOrPerson
Field.java:378)

at eu.etaxonomy.cdm.vaadin.component.common.TeamOrPersonField.setValue (TeamOrPerson
Field. java:55)

at eu.etaxonomy.cdm.vaadin.event.ToOneRelatedEntityReloader.valueChange (ToOneRelate
dEntityReloader. java:83)

at sun.reflect.GeneratedMethodAccessorl653.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. jav
a:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

98 more

Related issues:
Has duplicate EDIT - bug #7897: TeamOrPersonField: BindException: The given f... Duplicate

Associated revisions

Revision dee4cf65 - 10/25/2018 06:30 PM - Andreas Kohlbecker

ref #7867 attempting to avoid FieldGroup in TeamOrPersonField without having any idea why this can happen & better logging for further analyis

History

#1 - 10/25/2018 06:38 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

this issue is neither reproducible nor comprehensible, | tries to change the code in a way to avoid this issue in future and to get some logging about
the reason.

we should close this ticket if this problem is no occurring again until the next release.

#2 - 12/20/2018 04:25 PM - Andreas Kohlbecker
- Has duplicate bug #7897: TeamOrPersonField: BindException: The given field is not part of this FieldBinder added

#3 - 01/29/2019 03:16 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

this issue did not occur again since 3 months, so the issue seems fixed and | am closing it now.
